---
updatedAt: 2025-12-03T21:37:54.000Z
agentTools:
  projectIndex: https://developers.bringg.com/llms.txt
---

# Delivery Updated Webhook

Each time that a change/update is made from the Bringg side to the following fields, this webhook will be triggered. Bringg will send only the relevant fields changed (along with the identifying fields for the objects) UNLESS you request to receive the full Delivery Created payload:

* Address
* Note added
* Inventory quantity
* Scheduled time
* Delivery window
* Customer information (e.g. phone number, email address, name)
* Packages

If you wish to instead receive the full Delivery Created payload, you can configure this by checking the "Get full payload update for any Delivery Update" box below the Delivery Updated webhook endpoint:

<Image border={true} src="https://files.readme.io/3810edf-Receive_full_payload.png" className="border" />

The Delivery Updated webhook will have the same content as the Delivery Created webhook EXCEPT that is wrapped in another object (task) and your delivery ID as well as the task\_id is on the top level:

```json WRAPPING OF DELIVERY CREATED PAYLOAD WITHIN DELIVERY UPDATED WEBHOOK
{
  "task_id": 26528270,
  "delivery_id": "281745-your-delivery-id",
  "task": {
    "id": 26528270,
    "title": "Order 002-758763",
    "external_id": "002-758763-20210715",
    ...............
  }
}
```

> 🚧 POST HTTP Method
>
> The Delivery Updated webhook is sent using POST (and *not* PUT or PATCH).

> 📘 What response Bringg expects from you
>
> Only a **success: true** is required in the response. All other parameters are optional.
>
> **NOTE**: delivery\_cost is a **float** field that allows the fleet to send back their delivery cost to Bringg in Cents units.

```json 200 SUCCESS
{
    "success": true,
    "fleet_extras": {
      "some": "important info"
    },
    "delivery_cost": 1050,
    "green_delivery": true
}
```

## EXAMPLE PAYLOADS FROM BRINGG

```json ADDRESS UPDATED
{
  "task_id": 7694849,
  "delivery_id": "123",
  "way_point": {
    "address": "6307 LAKE WHEELER RD",
    "lat": 35.6959427,
    "lng": -78.69186169999999,
    "id": 11812926,
    "position": 2
  }
}
```
```json ADDRESS 2ND LINE UPDATED
{
  "task_id": 9896721,
  "delivery_id": "ABCD1234",
  "way_point": {
    "address_second_line": "Apartment 3",
    "id": 14840469,
    "position": 2
  }
}
```
```json SCHEDULED TIME UPDATED
{
  "task_id": 7694849,
  "delivery_id": "123",
  "way_point": {
    "scheduled_at": "2020-06-30T11:00:00.000Z",
    "id": 11812925,
    "position": 1
  }
}
```
```json DELIVERY WINDOW UPDATED
{
  "task_id": 7694849,
  "delivery_id": "123",
  "way_point": {
    "no_earlier_than": "2020-06-30T12:00:00.000Z",
    "no_later_than": "2020-06-30T16:00:00.000Z",
    "id": 11812925,
    "position": 1
  }
}
```

```json PHONE NUMBER UPDATED
{
  "task_id": 9896721,
  "delivery_id": "ABCD1234",
  "way_point": {
    "phone": "+15555555556",
    "id": 14840469,
    "position": 2
  }
}
```
```json EMAIL UPDATED
{
  "task_id": 9896721,
  "delivery_id": "ABCD1234",
  "way_point": {
    "email": "customer@email.com",
    "id": 14840469,
    "position": 2
  }
}
```
```json INVENTORY UPDATED
{
  "task_id": 9896721,
  "delivery_id": "ABCD1234",
  "task_inventory": {
    "original_quantity": 3,
    "id": 37792187,
    "name": "Mild Chicken Sandwich"
  }
}
```
```json NOTE ADDED
{
  "task_id": 7694849,
  "delivery_id": "123",
  "task_note": {
    "id": 10284559,
    "note": "Customer added a note",
    "user_id": 660963,
    "task_id": 7694849,
    "created_at": "2020-06-09T12:59:29.883Z",
    "updated_at": "2020-06-09T12:59:29.883Z",
    "type": "TaskNote",
    "way_point_id": 11812926,
    "external_id": "10284559"
  }
}
```
```json CUSTOMER NAME UPDATED
{
  "task_id": 11277545,
  "delivery_id": "ABCD1234",
  "way_point": {
    "scheduled_at": "2020-07-16T14:02:41.000Z",
    "name": "Name Changed",
    "id": 16672790,
    "position": 2
  }
}
```

```json CITY UPDATED
{
  "task_id": 11277918,
  "delivery_id": "ABCD1234",
  "way_point": {
    "city": "Chicago",
    "scheduled_at": "2020-07-16T14:37:27.000Z",
    "id": 16673227,
    "position": 2
  }
}
```
```json ZIPCODE UPDATED
{
  "task_id": 9896721,
  "delivery_id": "ABCD1234",
  "way_point": {
    "zipcode": "12345",
    "id": 14840468,
    "position": 1
  }
}
```
```json LAT AND LONG UPDATED
{
  "task_id": 11277918,
  "delivery_id": "ABCD1234",
  "way_point": {
    "lat": 36,
    "lng": -79,
    "id": 16673227,
    "position": 2
  }
}
```
```json PACKAGES UPDATED
{
	task_id: 123456789,
	delivery_id: "ABCD1234",
	task: {
		id: 123456789,
		packages: [
			{
				"id": 1,
				"external_id": "testing_1",
				"fleet_external_id": "fleet_id",
				"label_url": "/label/url.zpl",
				"name": "optional package name",
				"description": "optional package description",
				"notes": "optional package notes",
				"sequence_number": null,
				"merchant_id": 123,
				"weight_value": 400,
				"weight_unit": "g",
				"volume_value": 5,
				"volume_unit": "l",
				"width_value": 100,
				"width_unit": "mm",
				"height_value": 54,
				"height_unit": "mm",
				"length_value": 45,
				"length_unit": "mm",
				"extras": { "a": 1 },
				"created_at": "2021-12-23 17:38:44.734000",
				"updated_at": "2021-12-23 17:38:44.734000",
				"delete_at": null
			},
			{
				"id": 2,
				"external_id": "testing_2",
				"fleet_external_id": "fleet_id_2",
				"label_url": "/label/url2.zpl",
				"name": "optional package name",
				"description": "optional package description",
				"notes": "optional package notes",
				"sequence_number": null,
				"merchant_id": 123,
				"weight_value": 12892,
				"weight_unit": "g",
				"volume_value": 420,
				"volume_unit": "l",
				"width_value": 32,
				"width_unit": "mm",
				"height_value": 46,
				"height_unit": "mm",
				"length_value": 10,
				"length_unit": "mm",
				"extras": { "a": 2 },
				"created_at": "2021-12-23 17:38:44.734000",
				"updated_at": "2021-12-23 17:38:44.734000",
				"delete_at": null
			}],
		preparation_status: "READY_FOR_PICKUP",
		preparation_status_id: 3
	}
}
```

### BODY PARAMS

<HTMLBlock>{`
<div>
<table class="param_table">
      <tr>
        <td>
          <p class="param_name">delivery_id</p>
          <p class="param_type">string</p>
        </td>
        <td>
          <p class="param_desc">The delivery ID you provided for this order</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">task_id</p>
          <p class="param_type">Int64</p>
        </td>
        <td>
          <p class="param_desc">Bringg's unique ID for this order</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">way_point_id</p>
          <p class="param_type">Int64</p>
        </td>
        <td>
          <p class="param_desc">Bringg's ID for this way point. This allows you to identify which way point was updated.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">position</p>
          <p class="param_type">Int64</p>
        </td>
        <td>
          <p class="param_desc">The way point or stop number. Possible values are <strong>1</strong> for pickup and <strong>2</strong> for dropoff.</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">no_earlier_than</p>
          <p class="param_type">datetime</p>
        </td>
        <td>
          <p class="param_desc">The date and time of the beginning of the delivery time window. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z"</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">no_later_than</p>
          <p class="param_type">datetime</p>
        </td>
        <td>
          <p class="param_desc">The date and time of the end of the delivery time window. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z"</p>
        </td>
      </tr>
        <tr>
        <td>
          <p class="param_name">scheduled_at</p>
          <p class="param_type">datetime</p>
        </td>
        <td>
          <p class="param_desc">The date and time the order is scheduled for. This is in UTC in the format "%Y-%m-%dT%H:%M:%S%z"</p>
        </td>
      </tr>
        <td>
          <p class="param_name">address</p>
          <p class="param_type">string</p>
        </td>
        <td>
          <p class="param_desc">Address of the way point</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">original_quantity</p>
          <p class="param_type">Int64</p>
        </td>
        <td>
          <p class="param_desc">The quantity of inventory items to be picked up or delivered</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">delivery_cost</p>
          <p class="param_type">float</p>
        </td>
        <td>
          <p class="param_desc">The fee that you are charging for delivery of this order, in Cents units. OPTIONAL</p>
        </td>
      </tr>
      <tr>
        <td>
          <p class="param_name">green_delivery</p>
          <p class="param_type">boolean</p>
        </td>
        <td>
          <p class="param_desc">Allows you to indicate whether a green vehicle will be delivering this order. OPTIONAL</p>
        </td>
      </tr>

      <tr>
        <td>
          <p class="param_name">fleet_extras</p>
          <p class="param_type">JSON</p>
        </td>
        <td>
          <p class="param_desc">Custom information that needs to be shared with Bringg. OPTIONAL</p>
        </td>
      </tr>
    </table>
</div>
`}</HTMLBlock>